global:
  name: consul
  datacenter: dc1
  image: "hashicorp/consul:1.21.1"
  imageK8S: "hashicorp/consul-k8s-control-plane:1.7.1"
  enableConsulNamespaces: false
  tls:
    enabled: false

server:
  replicas: 1
  bootstrapExpect: 1
  storage: 10Gi
  storageClass: managed-csi

## Change: we can remove client  block
client:
  enabled: true
  grpc: true

ui:
  enabled: true
  service:
    type: LoadBalancer

# Enable connect inject ONLY for API Gateway (required for API Gateway to work)
connectInject:
  enabled: true
  default: false  # Don't inject sidecars by default

# Configures and installs the Consul terminating gateway.
terminatingGateways:
  enabled: true

  # Enable API Gateway
  apiGateway:
    enabled: true
    managedGatewayClass:
      enabled: true
      serviceType: LoadBalancer
      deployment:
        defaultInstances: 1
        maxInstances: 3
        minInstances: 1
      resources:
        requests:
          memory: "500Mi"
          cpu: "1000m"  # 1000m = 1 CPU
        limits:
          memory: "500Mi"
          cpu: "1000m"   # 1000m = 1 CPU

syncCatalog:
  enabled: true
  default: true  # Sync all services by default
  toConsul: true  # Sync K8s services to Consul
  toK8S: false    # Don't sync Consul services to K8s
  k8sAllowNamespaces: ['*']  # Allow all namespaces
  k8sDenyNamespaces: ['kube-system', 'kube-public']
  syncClusterIPServices: true
  # Add service prefix for clarity
  consulPrefix: ""
  k8sPrefix: ""
  # Add logging for debugging
  logLevel: "DEBUG"

# Disable other gateway types since we only need API Gateway
ingressGateways:
  enabled: false

meshGateway:
  enabled: false  ##Change:This dhould be true
